// Generated by CoffeeScript 1.10.0
(function() {
  var colorDiff, commitInfo;

  colorDiff = function(index) {
    var changeType, changeTypeBlock, codeBlock, codes, diff, diffBlock, diffContent, highlighted, infoBlock, path, pathBlock;
    diff = CodeLoader.getDiff(index);
    if (!diff) {
      return;
    }
    changeType = CodeLoader.getChangeType(index);
    if (changeType === 'ADD') {
      path = CodeLoader.getNewPath(index);
    } else {
      path = CodeLoader.getOldPath(index);
    }
    highlighted = hljs.highlight("diff", diff, true);
    diffContent = highlighted.value.split('\n');
    codes = diffContent.slice(4).join('\n');
    diffBlock = $('<div>', {
      "class": 'diff-block'
    });
    infoBlock = $('<div>', {
      "class": 'info-block'
    });
    pathBlock = $('<div>', {
      "class": 'path-block'
    }).text(path);
    changeTypeBlock = $('<div>', {
      "class": 'change-type'
    }).text(changeType);
    infoBlock.append(changeTypeBlock);
    infoBlock.append(pathBlock);
    codeBlock = $('<code>').html(codes);
    codeBlock = $('<pre>', {
      "class": "diff"
    }).append(codeBlock);
    diffBlock.append(infoBlock);
    diffBlock.append(codeBlock);
    return $('body').append(diffBlock);
  };

  commitInfo = function() {
    var codeBlock, commitInfoBlock, commitMessage, diffBlock, infoBlock;
    if (!CodeLoader.haveCommitInfo()) {
      return;
    }
    commitMessage = CodeLoader.getCommitMessage();
    commitInfo = CodeLoader.getCommitInfo();
    diffBlock = $('<div>', {
      "class": 'diff-block'
    });
    infoBlock = $('<div>', {
      "class": 'info-block'
    });
    commitInfoBlock = $('<pre>', {
      "class": 'commitinfo-block'
    }).text(commitInfo);
    infoBlock.append(commitInfoBlock);
    diffBlock.append(infoBlock);
    codeBlock = $('<code>').text(commitMessage);
    codeBlock = $('<pre>', {
      "class": "diff"
    }).append(codeBlock);
    diffBlock.append(codeBlock);
    return $('body').append(diffBlock);
  };

  window.notifyEntriesReady = function() {
    var i, index, length, ref, results;
    commitInfo();
    length = CodeLoader.getDiffSize();
    results = [];
    for (index = i = 0, ref = length - 1; i <= ref; index = i += 1) {
      results.push(colorDiff(index));
    }
    return results;
  };

  $(document).ready(function() {
    return CodeLoader.getDiffEntries();
  });

}).call(this);
